<template>
    <VCard>
        <VCardTitle>{{ product.title }}</VCardTitle>
        <VCardText>{{ product.description }}</VCardText>
        <VCardActions class="justify-end">
            <VBtn color="primary" :to="detailPageLink">Zur Detailseite</VBtn>
        </VCardActions>
    </VCard>
</template>

<script setup>
    import {computed} from "vue";

    const props = defineProps(['product'])

    // /products/5
    const detailPageLink = computed(() => '/products/' + props.product.productId)
</script>
